package com.persagy.service;

import org.quartz.SchedulerException;

/**
 * @description: 报警处理接口：包含报警产生和报警恢复
 * @author:LuoGuangyi
 * @company:PersagyTechnologyCo.,Ltd
 * @since:2020/10/15 11:03
 * @version:V1.0
 **/
public interface AlarmHandleService {

    /**
     * 处理接收到的iot消息
     *
     * @param msg iot消息
     * @exception Exception throw when 拼装报警消息，netty发送消息等异常
     * @author lixing
     * @company Persagy Technology Co.,Ltd
     * @since 2021/2/6 10:25 上午
     * @version V1.0
     */
    void handleIotMsg(String msg) throws Exception;
}
